Sqrt3InterpolatingSubdividerLabsikGreinerT.hh File Reference

Interpolating Labsik Greiner Subdivider as described in "Interpolating sqrt(3) subdivision" Labsik & Greiner, 2000. More...

`#include <OpenMesh/Core/Mesh/Handles.hh>`
`#include <OpenMesh/Core/System/config.hh>`
`#include <OpenMesh/Tools/Subdivider/Uniform/SubdividerT.hh>`
`#include <vector>`
`#include <cmath>`
Include dependency graph for Sqrt3InterpolatingSubdividerLabsikGreinerT.hh:

Go to the source code of this file.

## Classes

class | OpenMesh::Subdivider::Uniform::InterpolatingSqrt3LGT< MeshType, RealType >
| Uniform Interpolating Sqrt3 subdivision algorithm More...

## Namespaces

| OpenMesh
| Contains all the mesh ingredients like the polygonal mesh, the triangle mesh, different mesh kernels and mesh traits.
| OpenMesh::Subdivider::Uniform
| Software related to uniform subdivision of meshes.

## Macros

#define | ASSERT_CONSISTENCY(T, m)

## Detailed Description

Interpolating Labsik Greiner Subdivider as described in "Interpolating sqrt(3) subdivision" Labsik & Greiner, 2000.

Clement Courbet - cleme.nosp@m.nt.c.nosp@m.ourbe.nosp@m.t@ec.nosp@m.p.fr